Unable To Close Required Service /service/telco/gsm Using PCM_OP_CUST_UPDATE_SERVICES (Doc ID 1468987.1)

Last updated on SEPTEMBER 24, 2016

Applies to:

Oracle Communications Billing and Revenue Management - Version 7.4.0.0.0 to 7.4.0.0.0 [Release 7.4.0]
Linux x86-64

Symptoms

Unable to close required service /service/telco/gsm.

Cm pin.conf is configured to validate deal dependencies so both /service/telco/gsm and subservice /service/telco/gsm/line are created as required.

 Trying to close /service/telco/gsm using PCM_OP_CUST_UPDATE_SERVICES opcode is not possible.

Running PCM_OP_CUST_UPDATE_SERVICES with the following flist causes an error on /service/telco/gsm/line closure.
0 PIN_FLD_POID POID [0] 0.0.0.1 /account 228055
0 PIN_FLD_FLAGS INT [0] 1
0 PIN_FLD_PROGRAM_NAME STR [0] "Customer Center"
0 PIN_FLD_DESCR STR [0] "[19-Oct-2011 15:34 Duplicate account]\n"
0 PIN_FLD_SERVICES ARRAY [0] allocated 20, used 3
1 PIN_FLD_STATUS_FLAGS INT [0] 4160
1 PIN_FLD_POID POID [0] 0.0.0.1 /service/telco/gsm 227383
1 PIN_FLD_STATUS ENUM [0] 10103

The PIN_FLD_STATUS_FLAGS value is set for the subservice and it does not pass validation.

  op_cust_pol_valid_status input flist
# number of field entries allocated 20, used 5
0 PIN_FLD_STATUS ENUM [0] 10103
0 PIN_FLD_STATUS_FLAGS INT [0] 131136
0 PIN_FLD_CLOSE_WHEN_T TSTAMP [0] (0) <null>
0 PIN_FLD_POID POID [0] 0.0.0.1 /service/telco/gsm/line 228983 19
0 PIN_FLD_END_T TSTAMP [0] (1330793997) Sat Mar 3 17:59:57 2012

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms